Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812179 - 4.3.5. to 4.4.0-0.nightly-2020-03-10-042427 never completes. MCO upgrade failing with invalid ControllerConfig
Summary: 4.3.5. to 4.4.0-0.nightly-2020-03-10-042427 never completes. MCO upgrade fai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Yu Qi Zhang
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1812211
TreeView+ depends on / blocked
 
Reported: 2020-03-10 17:23 UTC by Mike Fiedler
Modified: 2021-04-05 17:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1812211 (view as bug list)
Environment:
Last Closed: 2020-08-04 18:04:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
ControllerConfig yaml (23.36 KB, text/plain)
2020-03-10 17:23 UTC, Mike Fiedler
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1554 0 None closed Bug 1812179: manifests/controllerconfig: make infra nullable 2020-11-24 06:19:16 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-08-04 18:04:36 UTC

Description Mike Fiedler 2020-03-10 17:23:42 UTC
Created attachment 1669018 [details]
ControllerConfig yaml

Description of problem:

    message: 'Unable to apply 4.4.0-0.nightly-2020-03-10-042427: ControllerConfig.machineconfiguration.openshift.io
      "machine-config-controller" is invalid: spec.infra: Invalid value: "null": spec.infra
      in body must be of type object: "null"'


This cluster was upgraded from 4.1.37 -> 4.2.22 -> 4.3.5 and then failed upgrading to a recent 4.4 nightly

Version-Release number of selected component (if applicable):

4.4.0-0.nightly-2020-03-10-042427

How reproducible: Unknown , 1 attempt so far


Steps to Reproduce:
1. Upgrade a cluster from 4.1.37->4.2.22->4.3.5 and then to 4.4.0-0.nightly-2020-03-10-042427


Actual results:

MCO failed to upgrade with the message in the description in the clusteroperator resource.


Additional info:

Will provide location of must-gather - attaching ControllerConfig directly.

Comment 7 Mike Fiedler 2020-03-11 11:45:45 UTC
@jerzhan  Suggestions on how to test on 4.5?   In my original scenario I was upgrading from 4.1.z through the chain to 4.4.   But I assume I will now fail in 4.4 and can't get to 4.5.   Is there a "safe" artificial change I can make to the ConfigController?

Comment 9 Michael Nguyen 2020-03-12 18:57:33 UTC
Verified on 4.5.0-0.nightly-2020-03-11-034320.  Note: https://github.com/openshift/machine-config-operator/pull/1553 breaks the upgrade from 4.3 to 4.5.  

== Verification #1 ==
Verify upgrade from 4.3.5 to 4.5 with spec.infra=null

$ oc edit controllerconfig/machine-config-controller
controllerconfig.machineconfiguration.openshift.io/machine-config-controller edited

Note: set spec.infra: null

$ oc get controllerconfig/machine-config-controller -o yaml
apiVersion: machineconfiguration.openshift.io/v1
kind: ControllerConfig
metadata:
  creationTimestamp: "2020-03-12T15:12:16Z"
  generation: 2
  name: machine-config-controller
  resourceVersion: "31554"
  selfLink: /apis/machineconfiguration.openshift.io/v1/controllerconfigs/machine-config-controller
  uid: 7e8e5b3c-d37e-4ffa-8c85-b145a5d5e559
spec:
  additionalTrustBundle: null
  cloudProviderCAData: null
  cloudProviderConfig: ""
  clusterDNSIP: 172.30.0.10
  etcdCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURHRENDQWdDZ0F3SUJBZ0lJV2M3cVVocFF2b0l3RFFZSktvWklodmNOQVFFTEJRQXdLakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SUXdFZ1lEVlFRREV3dGxkR05rTFhOcFoyNWxjakFlRncweU1EQXpNVEl4TkRVegpNRGhhRncwek1EQXpNVEF4TkRVek1EaGFNQ294RWpBUUJnTlZCQXNUQ1c5d1pXNXphR2xtZERFVU1CSUdBMVVFCkF4TUxaWFJqWkMxemFXZHVaWEl3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRRFQKaXVjZEszQm1DbDdLUDRiaUltMCsyRm52RktWSUxaUXJ2T1FNU05vQUdMQnZqUUV1YTJDSndjWUhrTTAwNzRJcwpEWXhtcmFiek1uVEZmYzZaUHpsZE5xOUZVb0t5NUlWamVpY2cvT3JQV2pQVWtUTEs3Qk41RWRNeXRBYjdyN0FkCjBudU01SzYyNjV4UEt4OGpnckNQZ1cveXlzOTFWMVMzSjRUVFJaajgvWGlHbFVNNy9KUWE5cnFpa0F3S1NQYmUKVWlPcUV4b28yamJxUm9ualphRGVubnN6S1VzUWpheUpMbjliWXJvT3lDL05VcTZoVU9QZDA0UFlTVDJ2ZDQwQQpTZGlBQVRpM2hBSFNabGdnUkcxWnRGK29CQTl2YjI0VmFzaUlITUc2cTVYQlAxOW5nRUd5N3J5YnZ2TURreTlWClUybFE2TnZHREhoVkhjREpJVmEvQWdNQkFBR2pRakJBTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUIKQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJSVzh2VjVSVzE4UzNxcjc4Mi9pWHpNRWNFQk56QU5CZ2txaGtpRwo5dzBCQVFzRkFBT0NBUUVBdEJpN1pNN0tUUkVsckwxRkxTa2srNWxNT2ZVTnJVSXc5Qys1UkoyVjZybG9yUDZLCnJ3Z1h2RWRSV0xhYS96TS9USHNRSHJadnlPR0EyRVlVZG9nSVlISkNvdUxEcGdlVWU0RkpaUHNKSEdCRTVheWsKbkRhVytpNFVVOHo3cG9MNFh5d0F3NXJlWGd0T1FtRmZGdXB3bjZxMyt0YzZqQytsdDIyOTYyWExIUzlia0pZegp0M1ROU2EzZ1V0SUZKalhNcGxwNEJxOUlIMVhPeTBqVHZHUEt3d0xwSTd2M2crNExwZUR2YW5rOS91dkpVNmlQCmJacnovQ2hML2VzU3RJdG1kSkRMMzlJZXFMMjhZTVFvTmdub3dFM2ppVTZmZ0VHUmNTZzRobmgwT0REYlVhWW8Kam5ndHJodDhWdWh3N0hBRWlldnZ5bmNiNGdVNWRPVWRHYittYXc9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
  etcdDiscoveryDomain: mnguyen435.devcluster.openshift.com
  etcdMetricCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURKakNDQWc2Z0F3SUJBZ0lJWTJyckhyQm90N0F3RFFZSktvWklodmNOQVFFTEJRQXdNVEVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1Sc3dHUVlEVlFRREV4SmxkR05rTFcxbGRISnBZeTF6YVdkdVpYSXdIaGNOTWpBdwpNekV5TVRRMU16QTVXaGNOTXpBd016RXdNVFExTXpBNVdqQXhNUkl3RUFZRFZRUUxFd2x2Y0dWdWMyaHBablF4Ckd6QVpCZ05WQkFNVEVtVjBZMlF0YldWMGNtbGpMWE5wWjI1bGNqQ0NBU0l3RFFZSktvWklodmNOQVFFQkJRQUQKZ2dFUEFEQ0NBUW9DZ2dFQkFQY2VVR3NIRUpOZjNKZ2dVaTdRRFRhbzlnVXJxV093SFZRQlF4dEUwUWhQOGtlcApEbERjU1J1Y0owYlg5ZFIzRzNXZG9tNDRSdkE5UFZkTmZucXRFZVlJcUFLWEFETDFMdmZydUFLbDBXQUMyY3VpClhUS1E2TWQ4NDQxTlIzbEl2eGVKcVpVQ0JBaGR0aUlEeE5PYjR3UjVkWUttbFhtU2Q1ajBNZ2VlOXBJZ1pUL2QKbTgzSTNqVncxVWxmMHAxRWFmcjNhZ3lhUlNrRnM3cmhXWkFYZ2tFRU5xbG9vNlBWSWpVVFF3VXc3SDFGREl3VApIY2pkSnp0NXd0bCtzdTZkWkkzZWRVUTFvcVc3VE1jRmo0V0VYT0tGdXBud1k0eGlsSzJicXpiSmoxUXlsb2c1CjBna0dLUGpjbEd0dnVOVHcrS3g5LzVZbC9kZUpDRVFVZjlsNGg1Y0NBd0VBQWFOQ01FQXdEZ1lEVlIwUEFRSC8KQkFRREFnS2tNQThHQTFVZEV3RUIvd1FGTUFNQkFmOHdIUVlEVlIwT0JCWUVGRWsvNTkyMlhJbEJjMGFYdFNZdAo1L2dFWGMva01BMEdDU3FHU0liM0RRRUJDd1VBQTRJQkFRQWRsM1N5ZHdBL3RKNk5odUNHelgxSG5ZRlNTbFdnCkVmS25GUXhzUXVUR0JQZGVOSTJGa1RJNndzcDlOanVuODZnMC9aVXR6TFAySFo3RmI0Q1o2d0dIRWtTNGxrSUgKbDlBSHhPZFArSlZaV1JaRkRxN0tCWEhaRy9HOHVlSXRoV0MzUVE5ZzE4YzZWb29uZmdaRUx3QnJSN0RBTHdQMgpFaEdreHM5MU5lMlJLRkFMeC9qa2lpclVjdkxiOTRpUHk1ODh3N0FXYndDam0ycnQrTzQ1dW1VTWxhTWJxVnB6CmpVUUVQWWFRU3JOY0FNZHFtVk1RMnJ1YWpEZ0I5SjI3bWt5ZGpzWHJ2YkJoN2dSK0hoZEdBVnVIamJZNEhrYkwKMThvU2hwY1VZRXVkdFRtOUd5ejVGUVdzUGw1S0djSVRFV3lxR3ZGckg3MmNORDJ1TVVqcXlDRVIKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
  images:
    baremetalRuntimeCfgImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e468469f3f999258af00982ab47bfdf3c9ade0fef1df342cebd2d08881afe9a3
    corednsImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d5a7c3a5346e1b411e27a8e22739e2b0b0f6b1eae61bbebb004cae703d76e63a
    etcdKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bc97106373ffddb5b7afe2a9010de54098c95545a654c7990b882680528c29e3
    gcpRoutesControllerKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5
    haproxyImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:31bde5d258a4b3401ee730d9d87bbb66a1694c45f6cd1423802f10e8ce969b61
    infraImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4674bc6d9907cd548a2e8cc6ba8fa8ec66963c221dbe9dda6bf19df579b9d828
    keepalivedImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:64dd8aa0884ed5a2a594931937f3e09b0f6f35e1569dfd70cbfcda631597ab83
    kubeClientAgentImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:016b572b6da4528e8a8aadc89dc52b67f3894b246c060c0d7843b0448aefb644
    mdnsPublisherImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:afcce680870f916d48b1305b7fbc6b2fd71d57d3b8faabfbb4c51dc9f4d251b5
    setupEtcdEnvKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5


== Upgrade ==
Note: Upgrade was done to a version without the check for etcd-member.yaml check. See https://github.com/openshift/machine-config-operator/pull/1553
$ oc adm upgrade --force --to-image=registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-03-11-034320
Updating to release image registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-03-11-034320
$ watch oc get clusterversion

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-03-11-034320   True        False         16m     Cluster version is 4.5.0-0.nightly-2020-03-11-034320
$ oc get co
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
authentication                             4.5.0-0.nightly-2020-03-11-034320   True        False         False      158m
cloud-credential                           4.5.0-0.nightly-2020-03-11-034320   True        False         False      3h
cluster-autoscaler                         4.5.0-0.nightly-2020-03-11-034320   True        False         False      170m
console                                    4.5.0-0.nightly-2020-03-11-034320   True        False         False      25m
csi-snapshot-controller                    4.5.0-0.nightly-2020-03-11-034320   True        False         False      33m
dns                                        4.5.0-0.nightly-2020-03-11-034320   True        False         False      175m
etcd                                       4.5.0-0.nightly-2020-03-11-034320   True        False         False      103m
image-registry                             4.5.0-0.nightly-2020-03-11-034320   True        False         False      33m
ingress                                    4.5.0-0.nightly-2020-03-11-034320   True        False         False      28m
insights                                   4.5.0-0.nightly-2020-03-11-034320   True        False         False      177m
kube-apiserver                             4.5.0-0.nightly-2020-03-11-034320   True        False         False      174m
kube-controller-manager                    4.5.0-0.nightly-2020-03-11-034320   True        False         False      100m
kube-scheduler                             4.5.0-0.nightly-2020-03-11-034320   True        False         False      100m
kube-storage-version-migrator              4.5.0-0.nightly-2020-03-11-034320   True        False         False      25m
machine-api                                4.5.0-0.nightly-2020-03-11-034320   True        False         False      176m
machine-config                             4.5.0-0.nightly-2020-03-11-034320   True        False         False      20m
marketplace                                4.5.0-0.nightly-2020-03-11-034320   True        False         False      31m
monitoring                                 4.5.0-0.nightly-2020-03-11-034320   True        False         False      28m
network                                    4.5.0-0.nightly-2020-03-11-034320   True        False         False      175m
node-tuning                                4.5.0-0.nightly-2020-03-11-034320   True        False         False      47m
openshift-apiserver                        4.5.0-0.nightly-2020-03-11-034320   True        False         False      50m
openshift-controller-manager               4.5.0-0.nightly-2020-03-11-034320   True        False         False      175m
openshift-samples                          4.5.0-0.nightly-2020-03-11-034320   True        True          False      3m1s
operator-lifecycle-manager                 4.5.0-0.nightly-2020-03-11-034320   True        False         False      176m
operator-lifecycle-manager-catalog         4.5.0-0.nightly-2020-03-11-034320   True        False         False      176m
operator-lifecycle-manager-packageserver   4.5.0-0.nightly-2020-03-11-034320   True        False         False      25m
service-ca                                 4.5.0-0.nightly-2020-03-11-034320   True        False         False      177m
service-catalog-apiserver                  4.5.0-0.nightly-2020-03-11-034320   True        False         False      172m
service-catalog-controller-manager         4.5.0-0.nightly-2020-03-11-034320   True        False         False      172m
storage                                    4.5.0-0.nightly-2020-03-11-034320   True        False         False      47m

Comment 10 Michael Nguyen 2020-03-12 18:58:31 UTC
== Verification #2 ==
Verify applying controllerconfig with spec.infra=null

$ oc get controllerconfig
NAME                        AGE
machine-config-controller   178m
$ cat cc.yaml 
apiVersion: machineconfiguration.openshift.io/v1
kind: ControllerConfig
metadata:
  name: machine-config-controller-test
spec:
  additionalTrustBundle: null
  cloudProviderCAData: null
  cloudProviderConfig: ""
  clusterDNSIP: 172.30.0.10
  etcdCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURHRENDQWdDZ0F3SUJBZ0lJV2M3cVVocFF2b0l3RFFZSktvWklodmNOQVFFTEJRQXdLakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SUXdFZ1lEVlFRREV3dGxkR05rTFhOcFoyNWxjakFlRncweU1EQXpNVEl4TkRVegpNRGhhRncwek1EQXpNVEF4TkRVek1EaGFNQ294RWpBUUJnTlZCQXNUQ1c5d1pXNXphR2xtZERFVU1CSUdBMVVFCkF4TUxaWFJqWkMxemFXZHVaWEl3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRRFQKaXVjZEszQm1DbDdLUDRiaUltMCsyRm52RktWSUxaUXJ2T1FNU05vQUdMQnZqUUV1YTJDSndjWUhrTTAwNzRJcwpEWXhtcmFiek1uVEZmYzZaUHpsZE5xOUZVb0t5NUlWamVpY2cvT3JQV2pQVWtUTEs3Qk41RWRNeXRBYjdyN0FkCjBudU01SzYyNjV4UEt4OGpnckNQZ1cveXlzOTFWMVMzSjRUVFJaajgvWGlHbFVNNy9KUWE5cnFpa0F3S1NQYmUKVWlPcUV4b28yamJxUm9ualphRGVubnN6S1VzUWpheUpMbjliWXJvT3lDL05VcTZoVU9QZDA0UFlTVDJ2ZDQwQQpTZGlBQVRpM2hBSFNabGdnUkcxWnRGK29CQTl2YjI0VmFzaUlITUc2cTVYQlAxOW5nRUd5N3J5YnZ2TURreTlWClUybFE2TnZHREhoVkhjREpJVmEvQWdNQkFBR2pRakJBTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUIKQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJSVzh2VjVSVzE4UzNxcjc4Mi9pWHpNRWNFQk56QU5CZ2txaGtpRwo5dzBCQVFzRkFBT0NBUUVBdEJpN1pNN0tUUkVsckwxRkxTa2srNWxNT2ZVTnJVSXc5Qys1UkoyVjZybG9yUDZLCnJ3Z1h2RWRSV0xhYS96TS9USHNRSHJadnlPR0EyRVlVZG9nSVlISkNvdUxEcGdlVWU0RkpaUHNKSEdCRTVheWsKbkRhVytpNFVVOHo3cG9MNFh5d0F3NXJlWGd0T1FtRmZGdXB3bjZxMyt0YzZqQytsdDIyOTYyWExIUzlia0pZegp0M1ROU2EzZ1V0SUZKalhNcGxwNEJxOUlIMVhPeTBqVHZHUEt3d0xwSTd2M2crNExwZUR2YW5rOS91dkpVNmlQCmJacnovQ2hML2VzU3RJdG1kSkRMMzlJZXFMMjhZTVFvTmdub3dFM2ppVTZmZ0VHUmNTZzRobmgwT0REYlVhWW8Kam5ndHJodDhWdWh3N0hBRWlldnZ5bmNiNGdVNWRPVWRHYittYXc9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
  etcdDiscoveryDomain: mnguyen435.devcluster.openshift.com
  etcdMetricCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURKakNDQWc2Z0F3SUJBZ0lJWTJyckhyQm90N0F3RFFZSktvWklodmNOQVFFTEJRQXdNVEVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1Sc3dHUVlEVlFRREV4SmxkR05rTFcxbGRISnBZeTF6YVdkdVpYSXdIaGNOTWpBdwpNekV5TVRRMU16QTVXaGNOTXpBd016RXdNVFExTXpBNVdqQXhNUkl3RUFZRFZRUUxFd2x2Y0dWdWMyaHBablF4Ckd6QVpCZ05WQkFNVEVtVjBZMlF0YldWMGNtbGpMWE5wWjI1bGNqQ0NBU0l3RFFZSktvWklodmNOQVFFQkJRQUQKZ2dFUEFEQ0NBUW9DZ2dFQkFQY2VVR3NIRUpOZjNKZ2dVaTdRRFRhbzlnVXJxV093SFZRQlF4dEUwUWhQOGtlcApEbERjU1J1Y0owYlg5ZFIzRzNXZG9tNDRSdkE5UFZkTmZucXRFZVlJcUFLWEFETDFMdmZydUFLbDBXQUMyY3VpClhUS1E2TWQ4NDQxTlIzbEl2eGVKcVpVQ0JBaGR0aUlEeE5PYjR3UjVkWUttbFhtU2Q1ajBNZ2VlOXBJZ1pUL2QKbTgzSTNqVncxVWxmMHAxRWFmcjNhZ3lhUlNrRnM3cmhXWkFYZ2tFRU5xbG9vNlBWSWpVVFF3VXc3SDFGREl3VApIY2pkSnp0NXd0bCtzdTZkWkkzZWRVUTFvcVc3VE1jRmo0V0VYT0tGdXBud1k0eGlsSzJicXpiSmoxUXlsb2c1CjBna0dLUGpjbEd0dnVOVHcrS3g5LzVZbC9kZUpDRVFVZjlsNGg1Y0NBd0VBQWFOQ01FQXdEZ1lEVlIwUEFRSC8KQkFRREFnS2tNQThHQTFVZEV3RUIvd1FGTUFNQkFmOHdIUVlEVlIwT0JCWUVGRWsvNTkyMlhJbEJjMGFYdFNZdAo1L2dFWGMva01BMEdDU3FHU0liM0RRRUJDd1VBQTRJQkFRQWRsM1N5ZHdBL3RKNk5odUNHelgxSG5ZRlNTbFdnCkVmS25GUXhzUXVUR0JQZGVOSTJGa1RJNndzcDlOanVuODZnMC9aVXR6TFAySFo3RmI0Q1o2d0dIRWtTNGxrSUgKbDlBSHhPZFArSlZaV1JaRkRxN0tCWEhaRy9HOHVlSXRoV0MzUVE5ZzE4YzZWb29uZmdaRUx3QnJSN0RBTHdQMgpFaEdreHM5MU5lMlJLRkFMeC9qa2lpclVjdkxiOTRpUHk1ODh3N0FXYndDam0ycnQrTzQ1dW1VTWxhTWJxVnB6CmpVUUVQWWFRU3JOY0FNZHFtVk1RMnJ1YWpEZ0I5SjI3bWt5ZGpzWHJ2YkJoN2dSK0hoZEdBVnVIamJZNEhrYkwKMThvU2hwY1VZRXVkdFRtOUd5ejVGUVdzUGw1S0djSVRFV3lxR3ZGckg3MmNORDJ1TVVqcXlDRVIKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
  images:
    baremetalRuntimeCfgImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e468469f3f999258af00982ab47bfdf3c9ade0fef1df342cebd2d08881afe9a3
    corednsImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d5a7c3a5346e1b411e27a8e22739e2b0b0f6b1eae61bbebb004cae703d76e63a
    etcdKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bc97106373ffddb5b7afe2a9010de54098c95545a654c7990b882680528c29e3
    gcpRoutesControllerKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5
    haproxyImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:31bde5d258a4b3401ee730d9d87bbb66a1694c45f6cd1423802f10e8ce969b61
    infraImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4674bc6d9907cd548a2e8cc6ba8fa8ec66963c221dbe9dda6bf19df579b9d828
    keepalivedImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:64dd8aa0884ed5a2a594931937f3e09b0f6f35e1569dfd70cbfcda631597ab83
    kubeClientAgentImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:016b572b6da4528e8a8aadc89dc52b67f3894b246c060c0d7843b0448aefb644
    mdnsPublisherImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:afcce680870f916d48b1305b7fbc6b2fd71d57d3b8faabfbb4c51dc9f4d251b5
    setupEtcdEnvKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5
  infra: null
  kubeAPIServerServingCAData: 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
  osImageURL: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6d83a4e72ae352600de3957b2c400e1eb88e8efdde9540ca59a900f35e7c44ee
  platform: aws
  proxy: null
  pullSecret:
    name: pull-secret
    namespace: openshift-config
  rootCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURFRENDQWZpZ0F3SUJBZ0lJQlFCNE1VbnlvQnd3RFFZSktvWklodmNOQVFFTEJRQXdKakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SQXdEZ1lEVlFRREV3ZHliMjkwTFdOaE1CNFhEVEl3TURNeE1qRTBOVE13TjFvWApEVE13TURNeE1ERTBOVE13TjFvd0pqRVNNQkFHQTFVRUN4TUpiM0JsYm5Ob2FXWjBNUkF3RGdZRFZRUURFd2R5CmIyOTBMV05oTUlJQklqQU5CZ2txaGtpRzl3MEJBUUVGQUFPQ0FROEFNSUlCQ2dLQ0FRRUF1bTdzcElHMFZOc1IKRERzYllvQ1p2TnNGTGwyOVkyalhkZ3oxSXMxUnlRRGpWNnlaR1k3MlE2MFM4bUU2RnhoOTJKS0dNYitxb3dEOQpEaDZmWUJKMC8wVXpNakxPTkJLMWxLRVc2TjdCaTFsbnczdlBmQ3ROblpHZVhQNGFpVXVXckJ5TFg5N3RFekdHClI0RXg2RHlMSzk0cllTMmVnS1dFd2hnR3NwR2QyaUVESWcvcGluYkxCVnRVQklkbm41amVHb1RaVlY1VzU1VEcKMkU2cHI4V3pBcWs4RkJXUFZDUHIrYlpVQmcxWTkraWt1dHE3T0JiMlVwbmVXUitOVzNOWTVXblFYREZqdDRLagprN21sYk5hZ09xRkJTZCs5bEhPWjNXUTA4RjNvSEU1a25SZ1Z6a2tkTUhCRU1Wb01WallTM2Fud2NNaFQ3RE4zCk5ZSVNuTkVoZVFJREFRQUJvMEl3UURBT0JnTlZIUThCQWY4RUJBTUNBcVF3RHdZRFZSMFRBUUgvQkFVd0F3RUIKL3pBZEJnTlZIUTRFRmdRVVNHRENOcFVOZjZ2UXVmc2gxU1JsdUl3c0RDTXdEUVlKS29aSWh2Y05BUUVMQlFBRApnZ0VCQUcyMTByUkhmc2s1TjB6UENoSGt2Um1NYllSZmcxTTlxS0dIUlJIVmkvaE1tbFVhMGRIRHdjbC9wUDNWCmNZKzVMRVdvbjcwRGdOME1VMVpLYldseDdyL2E0RlREQjVQdGQ2MUdJV25USUJTNC8rY0VlUE9aQWpsWG9aYmIKOElWTG83ZzJCWDRtN0UyVmQvNmpvYUZ0c2E3T2Z0RVNzRUV4dG0rTVhSR01mM1Z4ZW1SUUllOW5ZUlAxbWxoLwpHNHFxYVVCQXptWU8za1BGdEV5UnBkQzlGL3Yrd3NhQm5uclcweXhrWGxBdjBVUFl3Nm9JSmUxSFg0YWVWRTJOClRWNGtCNUdWL0NGU1p3d1UxRGt6a0pzOWljRnViakpNN0JPcHE1dHVKc0FQSEw0K0FLN0RJRnU5ODhna1RDSCsKeW9idThzU0xaK3UyVzlBZ2llbE1GYVAzSXlJPQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCi0tLS0tQkVHSU4gQ0VSVElGSUNBVEUtLS0tLQpNSUlETURDQ0FoaWdBd0lCQWdJSVBubTFPbGJPRHB3d0RRWUpLb1pJaHZjTkFRRUxCUUF3TmpFU01CQUdBMVVFCkN4TUpiM0JsYm5Ob2FXWjBNU0F3SGdZRFZRUURFeGRoWkcxcGJpMXJkV0psWTI5dVptbG5MWE5wWjI1bGNqQWUKRncweU1EQXpNVEl4TkRVek1EVmFGdzB6TURBek1UQXhORFV6TURWYU1EWXhFakFRQmdOVkJBc1RDVzl3Wlc1egphR2xtZERFZ01CNEdBMVVFQXhNWFlXUnRhVzR0YTNWaVpXTnZibVpwWnkxemFXZHVaWEl3Z2dFaU1BMEdDU3FHClNJYjNEUUVCQVFVQUE0SUJEd0F3Z2dFS0FvSUJBUUNyNzFnQy9EUGcxNmp5MnNrZk1Lc3EwSFVOcmY5ZnM2OE8KU25qZTM2VC80WVdRc0lkZEtMaGQrWG1HUlpZYmp4RDVubGtqWE9OZjNiLzFUQ2R3S0JvYityb0NoUlA4a2tSVgpmSThiSTdyWUpkOU9DR1NwTHZIN2I0Zm1OcUk0dWtrdU5SeThNakIyYTU4RjRrNlJ6TnBURWpmN2NUaTk2R3hQCkFUVURXS2ZyNE1hbjVJc0R4ZjdzK0h3Yk1ORmQrNUF1VkhpTlUrdm0yVlhVd0pCZmROQzNMR29pNlVpejdiTDcKcDNtcVB0WUZVN1hQOU0razBld3FGdDI5ZUtzcXZKMjVzc3BGSXNIVVlyKzdEL1JuSWZYQmNlbW5PQXZWY0lUVQpnUmZPdm9jNmJ1NFVMSmIzRmxJMkFTblFGdUxiQ0xJZHNvdG8vRmpJUWg4SzBreEJrVGg5QWdNQkFBR2pRakJBCk1BNEdBMVVkRHdFQi93UUVBd0lDcERBUEJnTlZIUk1CQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJRcEViWGMKWEtKTEhvS0gzbjZYQmg5d3VwOHNXREFOQmdrcWhraUc5dzBCQVFzRkFBT0NBUUVBZjAyUXBHYWVIYWg2aW1zWAprRVpOaEpCbEYvTXZ6SHNFOXJVQzE3dmhTSDZNQlBNSXFGaWJpWXF6RjJJdkJ5Wko3WWV4cFdYakYwREtYTGpsCmo1NzZpc2ZScWJUSkh0a0IwS1k5eG5ZMng1dSs2Rmh1YTUvdEhXWmdOVUlDWGFRcDJPUUFnVVhlWjZQSEszVFgKYmRnbjZDSEZoaW5xT0hLS0pxZ2lQMWFMb2hQaVllSkNLZVR3QytZbWp3M3gvR1VqZmgzdGVSYldrYVVjUDhSWgpOamtYSEVhZVprcW1paXZ6eTlWVy80dERQQVhmM0J4Tm1qbjdNSkFteDZzRHBGTHc3Tk5MbzBtSkxKNXdSdW5OCjYrTkFYOUZjUUMvNzJXVmJrK2JrSmpmWU9rUmhrQklrRGZOQnpteC9KVGVzc29QeGNrZTF5c250c3ovb1QyRVoKMTZ1MXR3PT0KLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQotLS0tLUJFR0lOIENFUlRJRklDQVRFLS0tLS0KTUlJREhqQ0NBZ2FnQXdJQkFnSUlTeHAzcTMya0NPZ3dEUVlKS29aSWh2Y05BUUVMQlFBd0xURVNNQkFHQTFVRQpDeE1KYjNCbGJuTm9hV1owTVJjd0ZRWURWUVFERXc1cmRXSmxiR1YwTFhOcFoyNWxjakFlRncweU1EQXpNVEl4Ck5EVXpNVEZhRncweU1EQXpNVE14TkRVek1URmFNQzB4RWpBUUJnTlZCQXNUQ1c5d1pXNXphR2xtZERFWE1CVUcKQTFVRUF4TU9hM1ZpWld4bGRDMXphV2R1WlhJd2dnRWlNQTBHQ1NxR1NJYjNEUUVCQVFVQUE0SUJEd0F3Z2dFSwpBb0lCQVFESDkzUmlsbHR1T015cjcwQjJyZnRNZmdLMUxoRE8wVDJlT0RVQSt2azVlR0tMVFFXOVRTd09KbzlyCklLdFZmd0VCSDZ6dEFWTXpWYlNqMjlaUzdoZ091VVl1RzgzZnpKNUhWZ3lzQlNReklsdjM2Y01sMUpISmtGWTgKYXphQVZpRjk5eFlZbEVTR3Biamt2U25hMlZoellTcTFEREVYTXF4QTdOdUNxYkFyT1VURmlLbTN3bEhMMmlFMwptc1ExWFpRcUhHVEtDM2ZBaTM5QWhiNjdkbzVabUdhMUQxREVmL0RPWU0vWEtOUXh5eE9pOXVBNzRXKytJWlRvCk8rSjYvZ0tUWnJtWnhBdWRYbWdBN3RNdHB5UGdPWDhOa1h2cUVSbTl0UVhuRllTaERta3lkaDA4ODFEdnc2OFkKeC84clNFRWlwKzVHNGd2R3JOSFhPNGs3YnpWVEFnTUJBQUdqUWpCQU1BNEdBMVVkRHdFQi93UUVBd0lDcERBUApCZ05WSFJNQkFmOEVCVEFEQVFIL01CMEdBMVVkRGdRV0JCU0F6anRpbEFEOUE2WDZ3Y1RtZjVNT0ZSeW8xVEFOCkJna3Foa2lHOXcwQkFRc0ZBQU9DQVFFQW1JdlowOXZBOUU5NnJiVjBlc1dLbFMxVHJxU0VjR3ZYbXd3UjFrejUKMEphUUtPeU5iNmVwckNFaWlTaldldlgzREdpdkFrdzYwa3c5K3VYYXh5Z29qL0lxM3pITjJBT2hqMk1HV3ZlbQpRTElIbjJtU216TlQvRzVCWllUUXNsOTIwS1F6NGN6VzF2OE5wUFdYZEE1MjVnOTdrZ3p0ZzdxUDBDSWVhNy9UCmtQZkdOaDJOcW1XZFB4c0w4Uk9JalN6dEFLSHhianJNTnpmT3dhcFFpZTUrdkkzTXVKYS8xeGIwVkdYelVadU4KcERrOVYzWFMxdU1GeCtXeXhuaUhBeDVVSk1NQkNsNXIyb0pIekxHcHdCelM4VjhqQ2xNc0g2U3UyalhvZmJNTwpYcWZtK2pTbEoxU3RrOFJIMmNIblE5aFltbWcxa294WXRCY1dKck1iNE5sS2JRPT0KLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQotLS0tLUJFR0lOIENFUlRJRklDQVRFLS0tLS0KTUlJRE5EQ0NBaHlnQXdJQkFnSUlBaUFjcXZYa2xaZ3dEUVlKS29aSWh2Y05BUUVMQlFBd09ERVNNQkFHQTFVRQpDeE1KYjNCbGJuTm9hV1owTVNJd0lBWURWUVFERXhscmRXSmxMV052Ym5SeWIyd3RjR3hoYm1VdGMybG5ibVZ5Ck1CNFhEVEl3TURNeE1qRTBOVE14TWxvWERUSXhNRE14TWpFME5UTXhNbG93T0RFU01CQUdBMVVFQ3hNSmIzQmwKYm5Ob2FXWjBNU0l3SUFZRFZRUURFeGxyZFdKbExXTnZiblJ5YjJ3dGNHeGhibVV0YzJsbmJtVnlNSUlCSWpBTgpCZ2txaGtpRzl3MEJBUUVGQUFPQ0FROEFNSUlCQ2dLQ0FRRUFyc2dFOS9oak9HUlA3UGlPQk9LZXY3RjA0VWJjCmQ0S2YzZ3RXa05GaUFTSTdqZVI4b2tQTjFaZlJtVVFEVG9WeTZ5amtISnZrVFd1L3FBaXBCbmVqY3M0MVZIaTAKVlAxRjdCTzNZbjRObDNzOFJaNElsbmRDMDFWUXhmd0M2SEF6cm9mcndOWE9VYWxGWWpneW1ZQUVaK3BYbHlrWgpMN0J5QWl2ZU5JYXdJSWlYL2ZKanBwNkNRcHhuZnlvL2wvSHhHRWxVOHF6b1pzaU1scGhpeEM2c09GSEFLU0ZoCmYwV3BBOEFZekJRTU45QUdpMWRHbE5QSkxDelI2OFJXdUlxVUZqL3FQc21aQktnSHg1amRQc0xHVlgySFRlVVoKUXhReFdVOVBsVUJ6Y05IRGZlRnhuQm94aUpoeDhnOE9pcjNTK1I2SmJJNnZwV0NLcDE5bUlXWDc3UUlEQVFBQgpvMEl3UURBT0JnTlZIUThCQWY4RUJBTUNBcVF3RHdZRFZSMFRBUUgvQkFVd0F3RUIvekFkQmdOVkhRNEVGZ1FVCmdBNUVGQm04T29nY1F1Wm9kWTI1Z1IvUU9qTXdEUVlKS29aSWh2Y05BUUVMQlFBRGdnRUJBQ29sVm8xTmpvR1cKV3J6Z2czYXJ6dlhlUXVqQnQ3d2ZkVjlSVWsrVFVwMFlVRXNKdmRFOWZtME9VTUkvSFRZY2EvMjR1K1ArUmhmaApXb3VXNVpUa2U1Z2lZRzdpYVJRY1h0S29WQ1AvWWQyWTVsVVNIUTJldGpLVzJ6R09EY3BNY3RlYm13cTNiWStLCncxZEpQTXF6czFxcm9nVzlldWM3K3pTdWRRTE9nRW9qUWx5bTVsdHlZMURGMFE3b0M1MHkyMERHUTB0UHpQaUQKSVFDK3dySzFlODVVREFXOGJwRjJJblAycUczYisrY1RwelVPblVGSFV1MjltSTdNRE1TalFvTDI3UUtnenprQQp4bTVpRTNsZmFOQlVKVFU4dGplSWR2YWdBby9HbkJKRy95L2dZSlZDR3ZRRmlWcUk0RG5OS2hJaUo2ZVZORDJsCklxcCs3VllYYVYwPQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCi0tLS0tQkVHSU4gQ0VSVElGSUNBVEUtLS0tLQpNSUlEUWpDQ0FpcWdBd0lCQWdJSVpRMEZ4TEpMVWRFd0RRWUpLb1pJaHZjTkFRRUxCUUF3UHpFU01CQUdBMVVFCkN4TUpiM0JsYm5Ob2FXWjBNU2t3SndZRFZRUURFeUJyZFdKbExXRndhWE5sY25abGNpMTBieTFyZFdKbGJHVjAKTFhOcFoyNWxjakFlRncweU1EQXpNVEl4TkRVek1USmFGdzB5TVRBek1USXhORFV6TVRKYU1EOHhFakFRQmdOVgpCQXNUQ1c5d1pXNXphR2xtZERFcE1DY0dBMVVFQXhNZ2EzVmlaUzFoY0dselpYSjJaWEl0ZEc4dGEzVmlaV3hsCmRDMXphV2R1WlhJd2dnRWlNQTBHQ1NxR1NJYjNEUUVCQVFVQUE0SUJEd0F3Z2dFS0FvSUJBUURKbGxva3JXYVQKaUJOeUlBMWlIeHZlWGxmWVpGUllBSG1FVzdMbnE5UUlaWnczZ2VOVHMyQTFsZmpCZUFCeUEwUHBOSzF6U2tiQwpSelR5SHBRcnllL1g5ZWdTQldXcEVXMjVsZFZpZWluaE02WWgzSlVLay9uWGtrU1V3QTM1MGIvQjhNcFBnRTlyCjVyVEMvS2F5dTdSakVqdThEc3Y5Wm9nYjRTWFFPTStXZjUyd1dVeG5yd2Y5M2ZyYkV4OFZNRVIxT2x0cWFXZE0Kakd0cHRTYjhiTDZPbnl0d1J6dHJuK2x2dFdsV3ZuRmN4VGUrK2s5cDZUQ3BRTUp2ZFczbzd4YnN0WlBkVmhTeApEaS9aSHVFUlowSXhuVFMvRWpobU1iVU00NFdlWVlucTErYjBRYTlUNHFMNWpXSkZJT1FsZ2d0cjVac1lTYS9CCnZjQ2ZYWFhMS0lDeEFnTUJBQUdqUWpCQU1BNEdBMVVkRHdFQi93UUVBd0lDcERBUEJnTlZIUk1CQWY4RUJUQUQKQVFIL01CMEdBMVVkRGdRV0JCVEpSMEJ4ZVI5OFp4aUhSWFBBS1d4eWhMWkd2VEFOQmdrcWhraUc5dzBCQVFzRgpBQU9DQVFFQVhwV0l1Y3pTSm1FQzdSZW0wTnVQUmlub3IxSm9PUE1zVjZuaTUvRlNPTTUxWnNmZXhxNHBsYmtKCkVWVkl1U3l3MjFXS2pHblkvdGNDaEtnQUNMbXlpOHBSQU1UMnRkYWp3Wk0xUGM4RjdzZzJkQW9KMlFUZE8yOXUKenE1SGtOTVRDR1hmQzE5YzZJMlpUSnRqWXJYM0dNNjFQS3dUejNlYnloUE5VUnRkR3QvSmRBNTUxcUJGeDNLZApCcWhudTlrNFZrNmlRdm9HVzNyMngwMGdabnI2VXUxU1NzZFl6Y1BSdmRjU1ZmTXV0RFk4SjJtVWFTcndzVnBxCnNuZENjTHl5SHhBOHdsU0toaWljZW5DU2ZVcFBHWXdKWXFlK1hvOHppVzVvWTdZNDRyOXlsd3NlRDdwREpZK0MKdFl1QlRLbVRlQlBIWG0vSG5hcWFaQjZvQW9uWnhnPT0KLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQotLS0tLUJFR0lOIENFUlRJRklDQVRFLS0tLS0KTUlJRFNEQ0NBakNnQXdJQkFnSUlSc0c1dE9RVTVPc3dEUVlKS29aSWh2Y05BUUVMQlFBd1FqRVNNQkFHQTFVRQpDeE1KYjNCbGJuTm9hV1owTVN3d0tnWURWUVFERXlOcmRXSmxiR1YwTFdKdmIzUnpkSEpoY0MxcmRXSmxZMjl1ClptbG5MWE5wWjI1bGNqQWVGdzB5TURBek1USXhORFV6TURaYUZ3MHpNREF6TVRBeE5EVXpNRFphTUVJeEVqQVEKQmdOVkJBc1RDVzl3Wlc1emFHbG1kREVzTUNvR0ExVUVBeE1qYTNWaVpXeGxkQzFpYjI5MGMzUnlZWEF0YTNWaQpaV052Ym1acFp5MXphV2R1WlhJd2dnRWlNQTBHQ1NxR1NJYjNEUUVCQVFVQUE0SUJEd0F3Z2dFS0FvSUJBUURGCk1vTmx0V29hTEEyOTA1Y2c3dVJIMzRqMGRtSHpoQitvaHJtVkYyQXJzeWlIMkUyYjVPLzRjUVVJa2FkanNWSmcKckpYR2k5ZkJZc2toKzBydzlQdVVrQTV0b1F2K3JNd3l5NHpxbUFPem1KVzh2SDNSQW1FWHdnNWVYQVdCd3NBZgpDak5YMTNuY3FQRldOYVBSWlVsVlJjWGVYWEQvSHpSRTVBMjFFUXJpVDAzSXBIK0pGODY0WXpGN0xZc05kNWtaClQ1cXRpNlNBdTJOZVErdzdZeFlYODV5TTdBcXFLd3pwemE4SDZuakR2TTJ3Yzk2bHBVcVVZVjhuVlFZVXBpWlgKT3A4NmFiSlhkRWljV0NJUkFVZHlFamRVOTlBWGJjc2xDd2xxUzcvR2JDNkZRU2o1OXN4ZGVDNERtT0FIcXFsUwo5L3hXcUpPOUQ0QTl5Q0RQNlY2N0FnTUJBQUdqUWpCQU1BNEdBMVVkRHdFQi93UUVBd0lDcERBUEJnTlZIUk1CCkFmOEVCVEFEQVFIL01CMEdBMVVkRGdRV0JCVE5ESlhVQTVqUWhQMld4emZwVUVVZUNoTWtsVEFOQmdrcWhraUcKOXcwQkFRc0ZBQU9DQVFFQXdhbkVsWk1WZXlmYVpzV29uelYxdEJ4LzdtSmFyNzlsOEx6Vm1OaFU3MURzaUZyUQovdDNmZnFpYnorbkk2V2kwZy9sMDFsUGcwVFovM2FVdGxic2V4UmF4TE10L0lwYjlyN3JvYVM2aDQrdmtvd2h2ClhrYVhibGVFc3JjYkR6WXhkK2dJTUgvNDY1ZUVkb3Bxd1BmZnlMMmZ3ZUtqZWRvWlRCL1l1TzEveXNuQW1uaHoKWllIZmtrbGlENzhtQ2JtOS9vVFdSREdteWhhTlBjd29ud3AvTEV4b2I4cVpzbmhiSFZXWjk3VlNuOFQzMldhagplYmV4N1ArMUdTeHF5U3kySTRJT2s1ZDRmdS9GOTl3VUt2YVlkSjdTLzhVWVFmT1BJUzlYZ3k2LzN0QjFIUVpvClRUUFJBRWRqQkpqSEJ1a21TZVhyZ2NtbTFBWkUzazY5MmFHUkh3PT0KLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
$ oc apply -f cc.yaml 
controllerconfig.machineconfiguration.openshift.io/machine-config-controller-test created
$ oc get controller-config
error: the server doesn't have a resource type "controller-config"
$ oc get controllerconfig
NAME                             AGE
machine-config-controller        179m
machine-config-controller-test   12s
$ oc get controllerconfig/machine-config-controller-test -o yaml
apiVersion: machineconfiguration.openshift.io/v1
kind: ControllerConfig
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"machineconfiguration.openshift.io/v1","kind":"ControllerConfig","metadata":{"annotations":{},"name":"machine-config-controller-test"},"spec":{"additionalTrustBundle":null,"cloudProviderCAData":null,"cloudProviderConfig":"","clusterDNSIP":"172.30.0.10","etcdCAData":"LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURHRENDQWdDZ0F3SUJBZ0lJV2M3cVVocFF2b0l3RFFZSktvWklodmNOQVFFTEJRQXdLakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SUXdFZ1lEVlFRREV3dGxkR05rTFhOcFoyNWxjakFlRncweU1EQXpNVEl4TkRVegpNRGhhRncwek1EQXpNVEF4TkRVek1EaGFNQ294RWpBUUJnTlZCQXNUQ1c5d1pXNXphR2xtZERFVU1CSUdBMVVFCkF4TUxaWFJqWkMxemFXZHVaWEl3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRRFQKaXVjZEszQm1DbDdLUDRiaUltMCsyRm52RktWSUxaUXJ2T1FNU05vQUdMQnZqUUV1YTJDSndjWUhrTTAwNzRJcwpEWXhtcmFiek1uVEZmYzZaUHpsZE5xOUZVb0t5NUlWamVpY2cvT3JQV2pQVWtUTEs3Qk41RWRNeXRBYjdyN0FkCjBudU01SzYyNjV4UEt4OGpnckNQZ1cveXlzOTFWMVMzSjRUVFJaajgvWGlHbFVNNy9KUWE5cnFpa0F3S1NQYmUKVWlPcUV4b28yamJxUm9ualphRGVubnN6S1VzUWpheUpMbjliWXJvT3lDL05VcTZoVU9QZDA0UFlTVDJ2ZDQwQQpTZGlBQVRpM2hBSFNabGdnUkcxWnRGK29CQTl2YjI0VmFzaUlITUc2cTVYQlAxOW5nRUd5N3J5YnZ2TURreTlWClUybFE2TnZHREhoVkhjREpJVmEvQWdNQkFBR2pRakJBTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUIKQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJSVzh2VjVSVzE4UzNxcjc4Mi9pWHpNRWNFQk56QU5CZ2txaGtpRwo5dzBCQVFzRkFBT0NBUUVBdEJpN1pNN0tUUkVsckwxRkxTa2srNWxNT2ZVTnJVSXc5Qys1UkoyVjZybG9yUDZLCnJ3Z1h2RWRSV0xhYS96TS9USHNRSHJadnlPR0EyRVlVZG9nSVlISkNvdUxEcGdlVWU0RkpaUHNKSEdCRTVheWsKbkRhVytpNFVVOHo3cG9MNFh5d0F3NXJlWGd0T1FtRmZGdXB3bjZxMyt0YzZqQytsdDIyOTYyWExIUzlia0pZegp0M1ROU2EzZ1V0SUZKalhNcGxwNEJxOUlIMVhPeTBqVHZHUEt3d0xwSTd2M2crNExwZUR2YW5rOS91dkpVNmlQCmJacnovQ2hML2VzU3RJdG1kSkRMMzlJZXFMMjhZTVFvTmdub3dFM2ppVTZmZ0VHUmNTZzRobmgwT0REYlVhWW8Kam5ndHJodDhWdWh3N0hBRWlldnZ5bmNiNGdVNWRPVWRHYittYXc9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==","etcdDiscoveryDomain":"mnguyen435.devcluster.openshift.com","etcdMetricCAData":"LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURKakNDQWc2Z0F3SUJBZ0lJWTJyckhyQm90N0F3RFFZSktvWklodmNOQVFFTEJRQXdNVEVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1Sc3dHUVlEVlFRREV4SmxkR05rTFcxbGRISnBZeTF6YVdkdVpYSXdIaGNOTWpBdwpNekV5TVRRMU16QTVXaGNOTXpBd016RXdNVFExTXpBNVdqQXhNUkl3RUFZRFZRUUxFd2x2Y0dWdWMyaHBablF4Ckd6QVpCZ05WQkFNVEVtVjBZMlF0YldWMGNtbGpMWE5wWjI1bGNqQ0NBU0l3RFFZSktvWklodmNOQVFFQkJRQUQKZ2dFUEFEQ0NBUW9DZ2dFQkFQY2VVR3NIRUpOZjNKZ2dVaTdRRFRhbzlnVXJxV093SFZRQlF4dEUwUWhQOGtlcApEbERjU1J1Y0owYlg5ZFIzRzNXZG9tNDRSdkE5UFZkTmZucXRFZVlJcUFLWEFETDFMdmZydUFLbDBXQUMyY3VpClhUS1E2TWQ4NDQxTlIzbEl2eGVKcVpVQ0JBaGR0aUlEeE5PYjR3UjVkWUttbFhtU2Q1ajBNZ2VlOXBJZ1pUL2QKbTgzSTNqVncxVWxmMHAxRWFmcjNhZ3lhUlNrRnM3cmhXWkFYZ2tFRU5xbG9vNlBWSWpVVFF3VXc3SDFGREl3VApIY2pkSnp0NXd0bCtzdTZkWkkzZWRVUTFvcVc3VE1jRmo0V0VYT0tGdXBud1k0eGlsSzJicXpiSmoxUXlsb2c1CjBna0dLUGpjbEd0dnVOVHcrS3g5LzVZbC9kZUpDRVFVZjlsNGg1Y0NBd0VBQWFOQ01FQXdEZ1lEVlIwUEFRSC8KQkFRREFnS2tNQThHQTFVZEV3RUIvd1FGTUFNQkFmOHdIUVlEVlIwT0JCWUVGRWsvNTkyMlhJbEJjMGFYdFNZdAo1L2dFWGMva01BMEdDU3FHU0liM0RRRUJDd1VBQTRJQkFRQWRsM1N5ZHdBL3RKNk5odUNHelgxSG5ZRlNTbFdnCkVmS25GUXhzUXVUR0JQZGVOSTJGa1RJNndzcDlOanVuODZnMC9aVXR6TFAySFo3RmI0Q1o2d0dIRWtTNGxrSUgKbDlBSHhPZFArSlZaV1JaRkRxN0tCWEhaRy9HOHVlSXRoV0MzUVE5ZzE4YzZWb29uZmdaRUx3QnJSN0RBTHdQMgpFaEdreHM5MU5lMlJLRkFMeC9qa2lpclVjdkxiOTRpUHk1ODh3N0FXYndDam0ycnQrTzQ1dW1VTWxhTWJxVnB6CmpVUUVQWWFRU3JOY0FNZHFtVk1RMnJ1YWpEZ0I5SjI3bWt5ZGpzWHJ2YkJoN2dSK0hoZEdBVnVIamJZNEhrYkwKMThvU2hwY1VZRXVkdFRtOUd5ejVGUVdzUGw1S0djSVRFV3lxR3ZGckg3MmNORDJ1TVVqcXlDRVIKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=","images":{"baremetalRuntimeCfgImage":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e468469f3f999258af00982ab47bfdf3c9ade0fef1df342cebd2d08881afe9a3","corednsImage":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d5a7c3a5346e1b411e27a8e22739e2b0b0f6b1eae61bbebb004cae703d76e63a","etcdKey":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bc97106373ffddb5b7afe2a9010de54098c95545a654c7990b882680528c29e3","gcpRoutesControllerKey":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5","haproxyImage":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:31bde5d258a4b3401ee730d9d87bbb66a1694c45f6cd1423802f10e8ce969b61","infraImageKey":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4674bc6d9907cd548a2e8cc6ba8fa8ec66963c221dbe9dda6bf19df579b9d828","keepalivedImage":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:64dd8aa0884ed5a2a594931937f3e09b0f6f35e1569dfd70cbfcda631597ab83","kubeClientAgentImageKey":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:016b572b6da4528e8a8aadc89dc52b67f3894b246c060c0d7843b0448aefb644","mdnsPublisherImage":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:afcce680870f916d48b1305b7fbc6b2fd71d57d3b8faabfbb4c51dc9f4d251b5","setupEtcdEnvKey":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5"},"infra":null,"kubeAPIServerServingCAData":"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","osImageURL":"quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6d83a4e72ae352600de3957b2c400e1eb88e8efdde9540ca59a900f35e7c44ee","platform":"aws","proxy":null,"pullSecret":{"name":"pull-secret","namespace":"openshift-config"},"rootCAData":"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"}}
  creationTimestamp: "2020-03-12T18:11:23Z"
  generation: 1
  name: machine-config-controller-test
  resourceVersion: "93488"
  selfLink: /apis/machineconfiguration.openshift.io/v1/controllerconfigs/machine-config-controller-test
  uid: dc2d8cfb-b797-4bb4-b839-8a5ef10ecf0a
spec:
  additionalTrustBundle: null
  cloudProviderCAData: null
  cloudProviderConfig: ""
  clusterDNSIP: 172.30.0.10
  etcdCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURHRENDQWdDZ0F3SUJBZ0lJV2M3cVVocFF2b0l3RFFZSktvWklodmNOQVFFTEJRQXdLakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SUXdFZ1lEVlFRREV3dGxkR05rTFhOcFoyNWxjakFlRncweU1EQXpNVEl4TkRVegpNRGhhRncwek1EQXpNVEF4TkRVek1EaGFNQ294RWpBUUJnTlZCQXNUQ1c5d1pXNXphR2xtZERFVU1CSUdBMVVFCkF4TUxaWFJqWkMxemFXZHVaWEl3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRRFQKaXVjZEszQm1DbDdLUDRiaUltMCsyRm52RktWSUxaUXJ2T1FNU05vQUdMQnZqUUV1YTJDSndjWUhrTTAwNzRJcwpEWXhtcmFiek1uVEZmYzZaUHpsZE5xOUZVb0t5NUlWamVpY2cvT3JQV2pQVWtUTEs3Qk41RWRNeXRBYjdyN0FkCjBudU01SzYyNjV4UEt4OGpnckNQZ1cveXlzOTFWMVMzSjRUVFJaajgvWGlHbFVNNy9KUWE5cnFpa0F3S1NQYmUKVWlPcUV4b28yamJxUm9ualphRGVubnN6S1VzUWpheUpMbjliWXJvT3lDL05VcTZoVU9QZDA0UFlTVDJ2ZDQwQQpTZGlBQVRpM2hBSFNabGdnUkcxWnRGK29CQTl2YjI0VmFzaUlITUc2cTVYQlAxOW5nRUd5N3J5YnZ2TURreTlWClUybFE2TnZHREhoVkhjREpJVmEvQWdNQkFBR2pRakJBTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUIKQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJSVzh2VjVSVzE4UzNxcjc4Mi9pWHpNRWNFQk56QU5CZ2txaGtpRwo5dzBCQVFzRkFBT0NBUUVBdEJpN1pNN0tUUkVsckwxRkxTa2srNWxNT2ZVTnJVSXc5Qys1UkoyVjZybG9yUDZLCnJ3Z1h2RWRSV0xhYS96TS9USHNRSHJadnlPR0EyRVlVZG9nSVlISkNvdUxEcGdlVWU0RkpaUHNKSEdCRTVheWsKbkRhVytpNFVVOHo3cG9MNFh5d0F3NXJlWGd0T1FtRmZGdXB3bjZxMyt0YzZqQytsdDIyOTYyWExIUzlia0pZegp0M1ROU2EzZ1V0SUZKalhNcGxwNEJxOUlIMVhPeTBqVHZHUEt3d0xwSTd2M2crNExwZUR2YW5rOS91dkpVNmlQCmJacnovQ2hML2VzU3RJdG1kSkRMMzlJZXFMMjhZTVFvTmdub3dFM2ppVTZmZ0VHUmNTZzRobmgwT0REYlVhWW8Kam5ndHJodDhWdWh3N0hBRWlldnZ5bmNiNGdVNWRPVWRHYittYXc9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
  etcdDiscoveryDomain: mnguyen435.devcluster.openshift.com
  etcdMetricCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURKakNDQWc2Z0F3SUJBZ0lJWTJyckhyQm90N0F3RFFZSktvWklodmNOQVFFTEJRQXdNVEVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1Sc3dHUVlEVlFRREV4SmxkR05rTFcxbGRISnBZeTF6YVdkdVpYSXdIaGNOTWpBdwpNekV5TVRRMU16QTVXaGNOTXpBd016RXdNVFExTXpBNVdqQXhNUkl3RUFZRFZRUUxFd2x2Y0dWdWMyaHBablF4Ckd6QVpCZ05WQkFNVEVtVjBZMlF0YldWMGNtbGpMWE5wWjI1bGNqQ0NBU0l3RFFZSktvWklodmNOQVFFQkJRQUQKZ2dFUEFEQ0NBUW9DZ2dFQkFQY2VVR3NIRUpOZjNKZ2dVaTdRRFRhbzlnVXJxV093SFZRQlF4dEUwUWhQOGtlcApEbERjU1J1Y0owYlg5ZFIzRzNXZG9tNDRSdkE5UFZkTmZucXRFZVlJcUFLWEFETDFMdmZydUFLbDBXQUMyY3VpClhUS1E2TWQ4NDQxTlIzbEl2eGVKcVpVQ0JBaGR0aUlEeE5PYjR3UjVkWUttbFhtU2Q1ajBNZ2VlOXBJZ1pUL2QKbTgzSTNqVncxVWxmMHAxRWFmcjNhZ3lhUlNrRnM3cmhXWkFYZ2tFRU5xbG9vNlBWSWpVVFF3VXc3SDFGREl3VApIY2pkSnp0NXd0bCtzdTZkWkkzZWRVUTFvcVc3VE1jRmo0V0VYT0tGdXBud1k0eGlsSzJicXpiSmoxUXlsb2c1CjBna0dLUGpjbEd0dnVOVHcrS3g5LzVZbC9kZUpDRVFVZjlsNGg1Y0NBd0VBQWFOQ01FQXdEZ1lEVlIwUEFRSC8KQkFRREFnS2tNQThHQTFVZEV3RUIvd1FGTUFNQkFmOHdIUVlEVlIwT0JCWUVGRWsvNTkyMlhJbEJjMGFYdFNZdAo1L2dFWGMva01BMEdDU3FHU0liM0RRRUJDd1VBQTRJQkFRQWRsM1N5ZHdBL3RKNk5odUNHelgxSG5ZRlNTbFdnCkVmS25GUXhzUXVUR0JQZGVOSTJGa1RJNndzcDlOanVuODZnMC9aVXR6TFAySFo3RmI0Q1o2d0dIRWtTNGxrSUgKbDlBSHhPZFArSlZaV1JaRkRxN0tCWEhaRy9HOHVlSXRoV0MzUVE5ZzE4YzZWb29uZmdaRUx3QnJSN0RBTHdQMgpFaEdreHM5MU5lMlJLRkFMeC9qa2lpclVjdkxiOTRpUHk1ODh3N0FXYndDam0ycnQrTzQ1dW1VTWxhTWJxVnB6CmpVUUVQWWFRU3JOY0FNZHFtVk1RMnJ1YWpEZ0I5SjI3bWt5ZGpzWHJ2YkJoN2dSK0hoZEdBVnVIamJZNEhrYkwKMThvU2hwY1VZRXVkdFRtOUd5ejVGUVdzUGw1S0djSVRFV3lxR3ZGckg3MmNORDJ1TVVqcXlDRVIKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
  images:
    baremetalRuntimeCfgImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e468469f3f999258af00982ab47bfdf3c9ade0fef1df342cebd2d08881afe9a3
    corednsImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d5a7c3a5346e1b411e27a8e22739e2b0b0f6b1eae61bbebb004cae703d76e63a
    etcdKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bc97106373ffddb5b7afe2a9010de54098c95545a654c7990b882680528c29e3
    gcpRoutesControllerKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5
    haproxyImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:31bde5d258a4b3401ee730d9d87bbb66a1694c45f6cd1423802f10e8ce969b61
    infraImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4674bc6d9907cd548a2e8cc6ba8fa8ec66963c221dbe9dda6bf19df579b9d828
    keepalivedImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:64dd8aa0884ed5a2a594931937f3e09b0f6f35e1569dfd70cbfcda631597ab83
    kubeClientAgentImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:016b572b6da4528e8a8aadc89dc52b67f3894b246c060c0d7843b0448aefb644
    mdnsPublisherImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:afcce680870f916d48b1305b7fbc6b2fd71d57d3b8faabfbb4c51dc9f4d251b5
    setupEtcdEnvKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5
  infra: null

Comment 12 errata-xmlrpc 2020-08-04 18:04:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409

Comment 13 W. Trevor King 2021-04-05 17:47:52 UTC
Removing UpgradeBlocker from this older bug, to remove it from the suspect queue described in [1].  If you feel like this bug still needs to be a suspect, please add keyword again.

[1]: https://github.com/openshift/enhancements/pull/475


Note You need to log in before you can comment on or make changes to this bug.